# utils.schemas.multimodal – Axolotl

# utils.schemas.multimodal

`utils.schemas.multimodal`

Pydantic models for multimodal-related configuration

## Classes

Name | Description
--- | ---
MultiModalConfig | Multi-modal configuration subset

### MultiModalConfig

    utils.schemas.multimodal.MultiModalConfig()

Multi-modal configuration subset

#### Methods

Name | Description
--- | ---
convert_image_resize_algorithm | Convert the image resize algorithm to a PIL.Image.Resampling enum.

##### convert_image_resize_algorithm

    utils.schemas.multimodal.MultiModalConfig.convert_image_resize_algorithm(
        image_resize_algorithm,
    )

Convert the image resize algorithm to a PIL.Image.Resampling enum.